Subject: Re: bug#16736: Compiling a Lisp file causes display to flash off and on

From: martin rudalics <[email-masked]>
Date: Mon, 17 Feb 2014 17:23:25 +0100

> Looks like FRAME_PIXEL_HEIGHT includes the tool bar, and is thus 33
 > pixels larger than we expect.  (What is f->tool_bar_height?)  But I
 > cannot find the place where we assign any value to FRAME_PIXEL_HEIGHT,
 > except in this very function, so I'm unsure where do those extra 33
 > pixels come from.

It's from update_various_frame_slots in widget.c.  If you comment that
out, the problem disappears.  But I don't know yet whether it's needed
elsewhere ...

martin